# Module wpool_worker

- Description
- Data Types
- Function Index
- Function Details

worker pool worker implementation.

Copyright © 2007-2015 Zuse Institute Berlin

Version: $Id$

Behaviours: `gen_component`.

Authors: Jan Fajerski (`fajerski@zib.de`).

## Description

worker pool worker implementation.

## Data Types

### message()

    message() = {work, Source :: comm:erl_local_pid(), wpool:job()}

### state()

    state() = {}

## Function Index

init/1 |
on/2 |
start_gen_component/5 |
start_link/1 |

## Function Details

### start_gen_component/5

    start_gen_component(Module :: module(),
                        Handler :: gen_component:handler(),
                        Args :: term(),
                        Options :: [gen_component:option()],
                        Self :: pid()) ->
                           no_return() | ok

### init/1

    init(X1 :: []) -> state()

### start_link/1

    start_link(Options :: tuple()) -> {ok, pid()}

### on/2

    on(Msg :: message(), State :: state()) -> state()

Generated by EDoc, Feb 29 2016, 16:12:21.